<?php

$utf8  = explode(",", "á,ä,à,ã,â,ć,č,ď,é,ě,ë,è,ê,í,ï,ì,î,ĺ,ľ,ń,ň,ñ,ó,ô,ò,õ,ö,ő,ŕ,ř,ś,š,ť,ú,ù,ů,ü,ũ,û,ý,ź,ž,Á,Ä,À,Ã,Â,Ć,Č,Ď,É,Ě,Ë,È,Ê,Í,Ï,Ì,Î,Ĺ,Ľ,Ń,Ň,Ñ,Ó,Ô,Ò,Õ,Ö,Ő,Ŕ,Ř,Ś,Š,Ť,Ú,Ù,Ů,Ü,Ũ,Û,Ý,Ź,Ž");	// utf8 
$ascii = explode(",", "a,a,a,a,a,c,c,d,e,e,e,e,e,i,i,i,i,l,l,n,n,n,o,o,o,o,o,o,r,r,s,s,t,u,u,u,u,u,u,y,z,z,A,A,A,A,A,C,C,D,E,E,E,E,E,I,I,I,I,L,L,N,N,N,O,O,O,O,O,O,R,R,S,S,T,U,U,U,U,U,U,Y,Z,Z");	// ascii
function utf2ascii($str='')	// pouziva to form_phonebook i ws2
	{
	global $utf8, $ascii; 
	return str_replace($utf8, $ascii, $str);	// utf8 pouziva - byte a nahrazuji ho 1-byte
	//return strtr($str, $iso, $ascii);		// strtr lze pouzit jen nahrazeni 1-byte za 1-byte (treba odstraneni diakritiky z latin-1)
	}
